export declare class TypographyClamp {
    text: string;
    textColor: string;
    lines: number;
    showMore: boolean;
    isClamped: boolean;
    private contentEl?;
    private ro?;
    private readonly deferCheck;
    private readonly checkClamped;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    onTextChange(): void;
    onLinesChange(): void;
    render(): any;
}
